<?
include('../functions.php');

$timestamp5yearsago = strtotime("5 years ago", strtotime("2009-12-01"));
$date5yearsago = date('Y-m-d', $timestamp5yearsago);
print $date5yearsago . "\n";
$sql = "SELECT distinct(userId) AS userId FROM users WHERE geburtsdatum > '$date5yearsago'";
$result = mysql_query($sql) or error ("Cannot select from Kinder");
$anzahlgesamt = mysql_num_rows($result);
print "Anzahl: $anzahlgesamt\n";
$progress = new Progress($anzahlgesamt);
$i=0;
while ($row = mysql_fetch_array($result,MYSQL_ASSOC)) {
  $user = new user(0,$row['userId']);
  $konto = new konto($row['userId']);
  if (! $user->checkoverfive() && $konto->anzahlBewegungen != 0 && $konto->getSaldo() > 0) {
      $i++;
      print "\r\n\r\n" . $user->versnummer . "," . $user->rechtskreis . ","  . utf8_encode($user->vorname) . "," . utf8_encode($user->name) . "," . $user->geburtsdatum . "\r\n";
      print "\r\n";
      printKontoauszug($konto);
  }
}
print "Anzahl: $i\n";

function printKontoauszug ($konto) {
    print "Datum     | Kommentar                              | Beschreibung                           | Wert  \r\n";
    print "----------+----------------------------------------+----------------------------------------+-------\r\n";
    foreach ($konto->kontoBewegungen as $kontobewegung) {
        $kommentar = $kontobewegung->kommentar . "                                        "; 
        $beschreibung = $kontobewegung->beschreibung . "                                        "; 
        print date('Y-m-d', $kontobewegung->datum) . '|' . 
            substr(utf8_encode($kommentar), 0,40) . '|' . 
                    substr(utf8_encode($beschreibung),0,40) .
            '|' .$kontobewegung->wert . "\r\n";
    }
}

?>
